Skip to main content
Alerting & Response/Alert Events

ListAlertEvents

List alert events with filtering by severity, state, time range, and more

GET/api/v1/alerting/events

Operation ID

ListAlertEvents

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • severity
    String

    Filter by severity level Filter by severity level

  • state
    String

    Filter by event state Filter by event state

  • resourceType
    String

    Filter by resource type Filter by resource type

  • ruleUuid
    String

    Filter by rule UUID Filter by rule UUID

  • source
    String

    Filter by event source Filter by event source

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of alert events

    Example: (nested array)

    • uuid
      String

      Unique identifier of the alert event

      Example: event-001

    • ruleUuid
      String

      UUID of the rule that generated this event

      Example: rule-abc123

    • ruleName
      String

      Name of the rule that generated this event

      Example: High CPU Usage

    • resourceType
      String

      Type of monitored resource

      Example: vm

    • resourceUuid
      String

      UUID of the specific resource

      Example: res-abc123

    • metricName
      String

      Metric name that was evaluated

      Example: cpu_usage_percent

    • currentValue
      Long

      Current metric value at the time of the event

      Example: 95.3

    • threshold
      Long

      Threshold that was exceeded

      Example: 90

    • operator
      String

      Comparison operator used

      Example: >

    • severity
      String

      Severity level of the event

      Example: critical

    • state
      String

      Current state: firing, acknowledged, or resolved

      Example: firing

    • message
      String

      Human-readable event message

      Example: CPU usage is 95.3%

    • fingerprint
      String

      Unique fingerprint for deduplication

      Example: fp-abc123

    • source
      String

      Source system that generated the event

      Example: prometheus

    • notifiedAt
      String

      Timestamp when the notification was sent

      Example: 2026-01-15T08:00:00Z

    • resolvedAt
      String

      Timestamp when the event was resolved

      Example: 2026-01-15T08:00:00Z

    • acknowledgedBy
      String

      User who acknowledged this event

      Example: admin

    • acknowledgedAt
      String

      Timestamp when the event was acknowledged

      Example: 2026-01-15T08:00:00Z

    • createDate
      String

      Timestamp when the event was created

      Example: 2026-01-15T08:00:00Z

    • alertInstanceUuid
      String

      Alert instance uuid for this resource

      Example: value

    • lifecycleState
      String

      Lifecycle state for this resource

      Example: value

    • ackState
      String

      Ack state for this resource

      Example: value

    • silenceState
      String

      Silence state for this resource

      Example: value

    • productType
      String

      Product type for this resource

      Example: value

    • sourceSystem
      String

      Source system for this resource

      Example: value

    • regionId
      String

      Region id for this resource

      Example: value

    • repeatCount
      Integer

      Repeat count for this resource

      Example: 10

  • total
    Integer

    Total number of matching events

    Example: 150

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20

  • Change Time

    AddedRequest parameters ackState, lifecycleState, platformUuid...AddedResponse fields ackState, alertInstanceUuid, lifecycleState...
    View API